# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'KMQToolKitGem/version'

Gem::Specification.new do |spec|
  spec.name          = "KMQToolKitGem"
  spec.version       = KMQToolKitGem::VERSION
  spec.authors       = ["Weinan Qiu"]
  spec.email         = ["davidiamyou@gmail.com"]

  spec.summary       = %q{Code generation support for KMQToolKit}
  spec.description   = %q{Generate necessary Objective-C headers and implementation files to support development using KMQToolKit}
  spec.homepage      = "https://github.com/davidiamyou/KMQToolKitGem"
  spec.license       = "MIT"

  # # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # # delete this section to allow pushing this gem to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'thor'
  spec.add_dependency 'plist', '~> 3.1'

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec"
end
